//################################################################################
//
//  Copyright (C) 1997-1998 Netscape Communications Corporation.
// 
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
//  02111-1307, USA.
//
//
//		File: 		CMacCVSProjectViewRootFolder.h
//
//		Authors: 	Ram Rajadhyaksha
//
//################################################################################


#pragma once


#include "CMacCVSProjectViewFolder.h"


class CMacCVSProjectViewRootFolder:

	public CMacCVSProjectViewFolder 

	{

		public:
			
			enum
				{
				
					kDefaultPathBufferLen		= 512
					
				};

											CMacCVSProjectViewRootFolder( 	const FSSpec	*inAnchorFileSpec,
																											const FSSpec	*inProjectRootFileSpec);
											
			virtual					~CMacCVSProjectViewRootFolder();
			
			virtual void		GetCachedLocalPathPStr(					Str255 				outLocalPathPStr) const;
			
			virtual void 		GetCachedLocalPathStr(					Handle 				inOutLocalPathStrHndl) const;
			
			virtual LArray	*ValidateContentsChanged( 			const FSSpec	*inProjectRootFileSpec);
			
		protected:
																
			char			mCachedPathStr[kDefaultPathBufferLen];
			UInt32		mPathStrLen;
			
	};