//################################################################################
//
//  Copyright (C) 1997-1998 Netscape Communications Corporation.
// 
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
//  02111-1307, USA.
//
//
//		File: 		UMacCVSUtils.h
//
//	  Authors: 	Scott M. Silver and Ram Rajadhyaksha
//
//################################################################################

#pragma once

#include <Types.h>


class UMacCVSUtils
	{
	
		public:
		
			enum
				{
				
					kSecondsInDay	= 24L * 60L * 60L
		
				};
				
						
			static Boolean					ExtractPhrase( 					char 										*inSrcData, 
																											UInt32 									inSrcLen, 
																											char 										inSeperator, 
																											UInt32 									inWhichPhrase, 
																											char 										*outPhrase, 
																											UInt32 									*outPhraseLen);
																											
			static void							RelativeDateString(			UInt32 									printDateSeconds,
																											Str255									outDateString);
																											
			static UInt32						UnixTimeToMacSeconds(		char 										*timeString);

			
																																																																																																																															
			static pascal void 			Rot15PStr( 							Str255 									inOutCryptStr );
			static pascal void 			ReverseRot15PStr( 			Str255 									inOutCryptStr );

			static char 						ReadWord( 							const char 							*inBuf, 
																											const UInt32 						inBufLen, 
																											UInt32 									*inOutIndex, 
																											char 										*outWordStr, 
																											UInt32 									*inOutLen, 
																											const char 							*inTerm = " \n");
																																																																	
		private:

			static SInt32 sSecondsFromGMT;
			
	};

