//################################################################################
//
//  Copyright (C) 1997-1998 Netscape Communications Corporation.
// 
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
//  02111-1307, USA.
//
//
//		File: 		UMenuUtilities.h
//
//	  Authors: 	Simon Fraser
//
//################################################################################

#pragma once

class UMenuUtils
{
	public:
		
		static void		RemoveMenuItems(	MenuHandle			inMenu,
																		Int16 					inLastKeep = 0);

		static Int16	InsertMenuItem(
																		MenuHandle 			inMenu,
																		ConstStringPtr	inText,
																		Int16 					inAfter,
																		Boolean					inEnabled = true);
							
		static Int16	AppendMenuItem(
																		MenuHandle			inMenu,
																		ConstStringPtr	inString,
																		Boolean					inEnabled = true);
																		
		static void		SetItemIconFromResID(
																		MenuHandle			inMenu,
																		Int16						inItemIndex,
																		ResIDT					inIconID);
																		
		static void		AppendSeparator(	MenuHandle 			inMenu);

		static Int32 	PopupWithTraits(
																		MenuHandle			inMenu,
																		Point 					inGlobalWhere,
																		Int16 					inTopItem = 1,
																		ResIDT 					inTraitsID = 0);
};

