//################################################################################
//
//  Copyright (C) 1997-1998 Netscape Communications Corporation.
// 
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
//  02111-1307, USA.
//
//
//		File: 		CMacCVSPreferencesFile.h
//	
//	  Authors: 	Dan Clifford
//
//################################################################################


#include <LPreferencesFile.h>


class CMacCVSPreferenceFile: public LPreferencesFile {

	public:

		CMacCVSPreferenceFile();
	
		static CMacCVSPreferenceFile 	*GetPreferenceFile();

		static void 					ClosePreferencesFile();
		
		void							StreamIn(LStream *stream);
		void							StreamOut(LStream *stream);
		
		void							GetProjectRoot(StringPtr newPath);
		void							GetLocalRoot(StringPtr newPath);
		
		void							SetProjectRoot(ConstStr255Param newPath);
		void							SetLocalRoot(ConstStr255Param newPath);
		
	private:
	
		static unsigned char			sFileName[];
		
		Str255							mProjectRootLocation;
		Str255							mLocalRootLocation;



};



