//################################################################################
//
//  Copyright (C) 1997-1998 Netscape Communications Corporation.
// 
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
//  02111-1307, USA.
//
//
//			File: 		MacCVSRandomFrontEndCrap.h
//	
//	  	Authors: 	Ram Rajadhyaksha
//
//################################################################################


#pragma once


enum 
	{

		kOTSelector								= 'otan',
		
		rErrorAlert								= 128,
		rErrorStrings							= 131,
		
		eUnknownError							= 1,
		eOldSystemErr							= 2,
		eNoOTAvailableErr					= 3,
		eNoThreadsMgrErr					= 4,
		eOTWontInitErr						= 5,
		eNoDragAndDropErr					= 6,
		eLastErrCode							= 6

	};


void 			AlertUser(									const short 		inErrorCode, 
																			const Boolean 	inFatalFlag);
											
void 			CenterWindowOnMainScreen(		WindowPtr 			inTheWindow);

void 			OutlineButton(							DialogPtr 			inDialogPtr, 
																			const short 		inDialogItem);
