//################################################################################
//
//  Copyright (C) 1997-1998 Netscape Communications Corporation.
// 
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
//  02111-1307, USA.
//
//
//		File: UErrorDialog.h
//
//	  Author: Dan Clifford
//
//################################################################################

#include <UModalDialogs.h>


class UOKAlertDialog 
	{
		
		public:
		
			enum 
				{
					
					kOKAlertDialogPPobID	= 134,
					kOKAlertCaptionID			= 'msg ',
					kOKAlertIconPaneID		= 'cicn'
			
				};
		
										UOKAlertDialog(			const SInt16	inStrListRsrcID,
																				const SInt16 	inStrIndex,
																				const SInt16 	inIconID,
																				LCommander		*inSuperCommander);
																			
										UOKAlertDialog(			StringPtr			inMessagePStr,
																				const SInt16 	inIconID,
																				LCommander		*inSuperCommander);	
									
			virtual				~UOKAlertDialog();
			
			virtual void 	InitFromString(			StringPtr			inMessagePStr,
																				const SInt16 	inIconID,
																				LCommander 		*inSuperCommander);
			
	};


class UMessageDialog:

	public UOKAlertDialog
	
	{
		
		public:
				
			enum
				{
				
					kMessageStrList	= 128
				
				};
				
			UMessageDialog(			OSErr					inError,
													LCommander		*inSuperCommander) :
													
				UOKAlertDialog( kMessageStrList, inError, 1, inSuperCommander ) { }
													
			UMessageDialog(			StringPtr			inErrorStr,
													LCommander		*inSuperCommander) :
													
				UOKAlertDialog( inErrorStr, 1, inSuperCommander ) { }
													
			~UMessageDialog() { }

				
	};
	

class UWarningDialog:

	public UOKAlertDialog
	
	{
		
		public:
				
			enum
				{
				
					kWarningStrList	= 129
				
				};
				
			UWarningDialog(			OSErr					inError,
													LCommander		*inSuperCommander) :
													
				UOKAlertDialog( kWarningStrList, inError, 2, inSuperCommander ) { }
													
			UWarningDialog(			StringPtr			inErrorStr,
													LCommander		*inSuperCommander) :
													
				UOKAlertDialog( inErrorStr, 2, inSuperCommander ) { }
													
			~UWarningDialog() { }

				
	};
	
	
class UErrorDialog {
	
	public:
	
		enum {
			kErrorDialogPPobID	= 134
		};
	
		UErrorDialog(	OSErr		inError,
						LCommander	*inSuperCommander);
		UErrorDialog(	StringPtr	inErrorStr,
						LCommander	*inSuperCommander);	
		~UErrorDialog();
		
		void 	InitFromString(	StringPtr	inErrorStr,
								LCommander 	*commander);
	
};